// creator  : weidu.exe (version 23100)
// argument : VALYGAR.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~VALYGAR~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #17890 /* ~Ho there!  More Cowled ones or their servants, no doubt.  By the gods, I swear you'll not live to take me to that damnable sphere!~ [VALYGA01] */
  IF ~Global("HiredByCowled","GLOBAL",1)
OR(2)
!InParty("Korgan")
!See("Korgan")~ THEN REPLY #17891 /* ~You are correct.  We have been hired to bring you to the wizards dead or alive.~ */ GOTO 1
  IF ~Global("HiredByCowled","GLOBAL",1)
OR(2)
!InParty("Korgan")
!See("Korgan")~ THEN REPLY #17892 /* ~I am with the Wizards, but they said nothing of a sphere. What do you speak of?~ */ GOTO 3
  IF ~OR(3)
!Global("HiredByCowled","GLOBAL",1)
!InParty("Korgan")
!See("Korgan")~ THEN REPLY #17893 /* ~I am no servant of anyone or anything.  What are you talking about?~ */ GOTO 6
  IF ~Global("AttackedByCowled","GLOBAL",1)
OR(3)
!Global("HiredByCowled","GLOBAL",1)
!InParty("Korgan")
!See("Korgan")~ THEN REPLY #17894 /* ~I was attacked by wizards in your home in the city!  I would know what this is all about.~ */ GOTO 10
  IF ~OR(3)
!Global("HiredByCowled","GLOBAL",1)
!InParty("Korgan")
!See("Korgan")~ THEN REPLY #17895 /* ~I care not! I have breached your walls and seek tribute in gold or blood. You choose.~ */ GOTO 14
  IF ~OR(3)
!Global("HiredByCowled","GLOBAL",1)
!InParty("Korgan")
!See("Korgan")~ THEN REPLY #17896 /* ~I'm here on my own, so before you jump to conclusions I would know your name.~ */ GOTO 15
  IF ~Global("HiredByCowled","GLOBAL",1)
InParty("Korgan")
See("Korgan")~ THEN EXTERN ~KORGANJ~ 220
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #17897 /* ~Retribution, is it?  Then you are fools, indeed!~ */
  IF ~~ THEN GOTO 43
END

IF ~~ THEN BEGIN 2 // from: 43.0
  SAY #17898 /* ~If you think you are doing anything else than their selfish bidding, then you should think again.~ */
  IF ~~ THEN REPLY #17899 /* ~The wizards said nothing of this.  You did kill two of their number, didn't you?~ */ GOTO 16
  IF ~~ THEN REPLY #17903 /* ~I would know more of what you speak of.  Do continue.~ */ GOTO 3
  IF ~~ THEN REPLY #17905 /* ~Talk all you want, but they have hired me to perform a job and I shall do it.~ */ GOTO 17
END

IF ~~ THEN BEGIN 3 // from: 16.0 2.1 0.1
  SAY #17906 /* ~A planar sphere appeared in the slums of Athkatla weeks ago.  My ancestor, the necromancer Lavok, built that sphere as some sort of planar traveling device.~ */
  IF ~~ THEN DO ~SetGlobal("vgMentionLavok","GLOBAL",1)~ GOTO 46
END

IF ~~ THEN BEGIN 4 // from: 46.0
  SAY #17907 /* ~I have no desire to meet my ancestor, and even less desire to help the Cowled Wizards, who seem certain that my body is the only key to the sphere... alive or not.~ */
  IF ~!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Nalia")~ THEN GOTO 5
  IF ~Global("hiredbycowled","GLOBAL",0)~ THEN GOTO 5
  IF ~Global("hiredbycowled","GLOBAL",1)
IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 59
  IF ~Global("hiredbycowled","GLOBAL",1)
!IsValidForPartyDialog("Aerie")
IsValidForPartyDialog("Edwin")
~ THEN EXTERN ~EDWINJ~ 50
  IF ~Global("hiredbycowled","GLOBAL",1)
!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Edwin")
IsValidForPartyDialog("Jan")~ THEN EXTERN ~JANJ~ 101
  IF ~Global("hiredbycowled","GLOBAL",1)
!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIAJ~ 234
END

IF ~~ THEN BEGIN 5 // from: 4.1 4.0
  SAY #17908 /* ~They tried to force my co-operation when I refused to aid them, and I had hidden myself away as a result.  I thought I had been successful, as well, until you came.~ */
  IF ~~ THEN REPLY #17909 /* ~Then they have not been entirely truthful to me.  How do you propose we solve this?~ */ GOTO 19
  IF ~~ THEN REPLY #17910 /* ~Who are you that I should believe? How do I know that you are not lying to me?~ */ GOTO 23
  IF ~~ THEN REPLY #17911 /* ~Why would you fear this Lavok?  This ancestor of yours is certainly dead.~ */ GOTO 40
  IF ~~ THEN REPLY #17913 /* ~The wizards mentioned nothing of this.  You did kill two of their number, did you not?~ */ GOTO 16
  IF ~~ THEN REPLY #17914 /* ~Talk all you want, but they have hired me to perform a job and I shall do it.~ */ GOTO 17
END

IF ~~ THEN BEGIN 6 // from: 15.0 0.2
  SAY #17915 /* ~You do not serve the wizards?  Then I have hidden myself so desperately only to be set upon by chance?  Ah, this is misfortune, indeed.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #17916 /* ~You might still be able to help me.  A planar sphere appeared suddenly in the slums of Athkatla several weeks ago, which you may have seen.~ */
  IF ~~ THEN GOTO 47
END

IF ~~ THEN BEGIN 8 // from: 47.0
  SAY #17917 /* ~I have no desire to meet my ancestor, and even less desire to help the Cowled Wizards, who believe my body is the only key to enter the sphere... alive or no.~ */
  IF ~!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Nalia")~ THEN GOTO 9
  IF ~Global("hiredbycowled","GLOBAL",0)~ THEN GOTO 9
  IF ~Global("hiredbycowled","GLOBAL",1)
IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 59
  IF ~Global("hiredbycowled","GLOBAL",1)
!IsValidForPartyDialog("Aerie")
IsValidForPartyDialog("Edwin")~ THEN EXTERN ~EDWINJ~ 50
  IF ~Global("hiredbycowled","GLOBAL",1)
!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Edwin")
IsValidForPartyDialog("Jan")~ THEN EXTERN ~JANJ~ 101
  IF ~Global("hiredbycowled","GLOBAL",1)
!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIAJ~ 234
END

IF ~~ THEN BEGIN 9 // from: 8.1 8.0
  SAY #17918 /* ~They tried to force my co-operation, and I was forced to defend myself and flee.  I had hidden away here.  Successfully, I thought, until you came.~ */
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17919 /* ~I was hired to apprehend you, but I think I should reconsider.  What now?~ */ GOTO 24
  IF ~~ THEN REPLY #17920 /* ~Who are you that I should believe you?  How do I know you are not lying to me?~ */ GOTO 23
  IF ~~ THEN REPLY #17921 /* ~Why should you fear this Lavok? This ancestor of yours is certainly dead.~ */ GOTO 40
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17922 /* ~Unfortunate. I was hired by the wizards, and I shall honor my commitment.~ */ GOTO 17
  IF ~~ THEN REPLY #17924 /* ~Is there no way to confront the Cowled Wizards and keep them from bothering you?~ */ GOTO 25
  IF ~~ THEN REPLY #17925 /* ~Pity, but I am only interested in what I can take from you. Blood or gold, you choose.~ */ GOTO 14
  IF ~~ THEN REPLY #17926 /* ~Very well, then.  I've no desire to bother you further.  I shall be on my way.~ */ GOTO 26
END

IF ~~ THEN BEGIN 10 // from: 0.3
  SAY #17927 /* ~You do not serve the wizards?  Then I have hidden myself so desperately only to be set upon by chance?  Ah, this is misfortune, indeed.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #17928 /* ~If you have been to the slums in Athkatla, you might be aware of a planar sphere that appeared there several weeks ago.~ */
  IF ~~ THEN GOTO 48
END

IF ~~ THEN BEGIN 12 // from: 48.0
  SAY #17929 /* ~I have no desire to meet my ancestor, and even less desire to help the Cowled Wizards, who seem certain that my body is the only key to enter the sphere... alive or no.~ */
  IF ~!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Nalia")~ THEN GOTO 13
  IF ~Global("hiredbycowled","GLOBAL",0)~ THEN GOTO 13
  IF ~Global("hiredbycowled","GLOBAL",1)
IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 59
  IF ~Global("hiredbycowled","GLOBAL",1)
!IsValidForPartyDialog("Aerie")
IsValidForPartyDialog("Edwin")~ THEN EXTERN ~EDWINJ~ 50
  IF ~Global("hiredbycowled","GLOBAL",1)
!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Edwin")
IsValidForPartyDialog("Jan")~ THEN EXTERN ~JANJ~ 101
  IF ~Global("hiredbycowled","GLOBAL",1)
!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIAJ~ 234
END

IF ~~ THEN BEGIN 13 // from: 12.1 12.0
  SAY #17930 /* ~They tried to force my co-operation, and I was forced to defend myself and hide. I apologize if they have brought grief to you, but I am afraid there is little I can do.~ */
  IF ~~ THEN REPLY #17932 /* ~Why should they be concerned about your ancestry?  This story seems fanciful.~ */ GOTO 23
  IF ~~ THEN REPLY #17933 /* ~Why should you fear this Lavok? This ancestor of yours is certainly dead.~ */ GOTO 40
  IF ~~ THEN REPLY #17934 /* ~Is there no way to confront the Cowled Wizards and keep them from bothering you?~ */ GOTO 25
  IF ~~ THEN REPLY #17935 /* ~Pity, but I am only interested in what I can take from you. Blood or gold, you choose.~ */ GOTO 14
  IF ~~ THEN REPLY #17936 /* ~Very well, then.  I've no desire to bother you further.  I shall be on my way.~ */ GOTO 26
END

IF ~~ THEN BEGIN 14 // from: 25.5 22.4 13.3 9.5 0.4
  SAY #17937 /* ~Ha!  You'll find little wealth or treasure of any kind, here.  If it's treasure you value, however, I've a thought that might interest you... if you'd care to listen, that is.~ */
  IF ~~ THEN REPLY #17938 /* ~Speak on, then.  I would know your offer, if you have one.~ */ GOTO 19
  IF ~~ THEN REPLY #17939 /* ~I would not. Since you claim not to have gold, I'll take payment in blood, as promised!~ */ GOTO 27
END

IF ~~ THEN BEGIN 15 // from: 0.5
  SAY #17940 /* ~My name?  My name is Valygar Corthala.  I thought you knew this.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 16 // from: 22.2 5.3 2.0
  SAY #17942 /* ~Aye, I did.  'Twas no murder, however... they attacked me first.  I refused to co-operate with their 'request', and fled as soon as I was able to withdraw.~ */
  IF ~~ THEN REPLY #17943 /* ~There is more to this story than I was told.  Perhaps you should tell me everything.~ */ GOTO 3
  IF ~~ THEN REPLY #17944 /* ~I care not. The Cowled Wizards have hired me and I will do as I am bid.~ */ GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 25.4 22.3 16.1 9.3 5.4 2.2
  SAY #17945 /* ~I see.  If you are loyal followers, then I have little choice but to fight.  You shall not take me peaceably to my doom at the hands of my ancestor, of that I am certain.~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #17947 /* ~If you are not, however, perhaps you'll listen to more than just reason.  I have a proposal for you, if you're willing to hear me out.~ */
  IF ~~ THEN REPLY #17948 /* ~Speak on, then.  I would know your offer, if you have one.~ */ GOTO 19
  IF ~~ THEN REPLY #17949 /* ~I'll not renege on any deal that I have made.  Put up your sword, fool!~ */ GOTO 28
END

IF ~~ THEN BEGIN 19 // from: 26.2 25.1 24.0 22.1 22.0 18.0 14.0 5.0
  SAY #17950 /* ~My proposal is that we return to the city and enter the sphere.  That way, I will know if Lavok lives.  If he does, we can exterminate his ghoulish existence once and for all.~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #17954 /* ~You are more than welcome to whatever lies within the sphere, such as magical treasure and anything else of Lavok's.  None of it interests me in the slightest.~ */
  IF ~~ THEN REPLY #17955 /* ~It seems unlikely that Lavok survived these five hundred years. How could he be alive?~ */ GOTO 41
  IF ~~ THEN REPLY #17956 /* ~This story of yours sounds like a fantasy.  How do I know you are not lying?~ */ GOTO 31
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17957 /* ~Why should I trust a murderer?  You killed two of the Cowled Wizards, didn't you?~ */ GOTO 34
  IF ~~ THEN REPLY #17958 /* ~What you suggest sounds interesting.  But will the Cowled Wizards not oppose us?~ */ GOTO 35
  IF ~~ THEN REPLY #17959 /* ~And what is to stop me from using your body to enter the sphere myself?~ */ GOTO 36
  IF ~Global("HiredByCowled","GLOBAL",0)~ THEN REPLY #17960 /* ~I refuse. I prefer the goodwill of the Cowled Wizards and the reward for you.~ */ GOTO 27
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17961 /* ~I refuse. I prefer the goodwill of the Cowled Wizards and the reward for you.~ */ GOTO 28
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17962 /* ~I refuse, but neither shall I turn you in.  I leave you to your own devices, then.~ */ GOTO 37
  IF ~Global("HiredByCowled","GLOBAL",0)~ THEN REPLY #17963 /* ~I see no merit in your proposal.  I shall leave you to your own devices.~ */ GOTO 37
  IF ~~ THEN REPLY #17964 /* ~I agree. Join with me and we shall see what is inside this planar sphere of yours.~ */ GOTO 39
END

IF ~~ THEN BEGIN 21 // from: 40.0 25.3 23.0
  SAY #17965 /* ~I am the last of the Corthala line.  That may mean little to you, but it means plenty to Lavok.  When Lavok left Athkatla in the sphere, he was already many centuries old.~ */
  IF ~~ THEN DO ~SetGlobal("vgMentionLavokDrain","GLOBAL",1)~ GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #17966 /* ~Lavok extended his life by stealing the bodies of blood relations.  If he yet lives, you can imagine my concern.  This is also why my blood may allow entrance to the sphere.~ */
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17967 /* ~The wizards have not been entirely truthful.  How do you propose we solve this?~ */ GOTO 19
  IF ~Global("HiredByCowled","GLOBAL",0)~ THEN REPLY #18106 /* ~I see.  What do you propose we do?~ */ GOTO 19
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17968 /* ~The wizards mentioned nothing of this.  You did kill two of their number, did you not?~ */ GOTO 16
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17969 /* ~I care not. I have been hired to turn you in and I shall do it regardless.~ */ GOTO 17
  IF ~~ THEN REPLY #18107 /* ~I'm only interested in what I can take from you. Gold or blood, you choose.~ */ GOTO 14
  IF ~Global("HiredByCowled","GLOBAL",0)~ THEN REPLY #18108 /* ~I have no time for this.  I am leaving.~ */ GOTO 26
END

IF ~~ THEN BEGIN 23 // from: 25.2 13.0 9.1 5.1
  SAY #17970 /* ~I cannot prove the truth of my words, my <LADYLORD>, but compare my motivations to those of the wizards.  And there is more.~ */
  IF ~~ THEN GOTO 21
END

IF ~~ THEN BEGIN 24 // from: 25.0 9.0
  SAY #17971 /* ~I suspected as much.  Very well, then.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 25 // from: 13.2 9.4
  SAY #17972 /* ~The wizards will not rest until they get inside the sphere.  And one cannot hope to stand up to the them for long... at least not without steady hands at one's back.~ */
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17973 /* ~I was hired to apprehend you, but I have reconsidered. What now?~ */ GOTO 24
  IF ~Global("HiredByCowled","GLOBAL",0)~ THEN REPLY #17974 /* ~I see.  What do you propose, then?~ */ GOTO 19
  IF ~~ THEN REPLY #17975 /* ~Who are you that makes you so special?  How do I know you are not lying to me?~ */ GOTO 23
  IF ~~ THEN REPLY #17976 /* ~Who would you fear this Lavok? This ancestor of yours is certainly dead.~ */ GOTO 21
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17978 /* ~I care not. In truth, I have been hired by them.  And I shall honor my commitment.~ */ GOTO 17
  IF ~~ THEN REPLY #17979 /* ~Pity, but I am only interested in what I can take from you. Blood or gold. You choose.~ */ GOTO 14
  IF ~~ THEN REPLY #17980 /* ~Very well, then.  I've no desire to bother you further.  I shall be on my way.~ */ GOTO 26
END

IF ~~ THEN BEGIN 26 // from: 25.6 22.5 13.4 9.6
  SAY #17981 /* ~Wait!  I've a proposal, if you are but willing to hear it!~ */
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17982 /* ~I've no interest.  I'll have problems enough with the Cowled Wizards after this.~ */ GOTO 37
  IF ~Global("HiredByCowled","GLOBAL",0)~ THEN REPLY #17987 /* ~I've no interest in any proposal that you might have to make.  Excuse me.~ */ GOTO 37
  IF ~~ THEN REPLY #17988 /* ~If you have a proposal, make it quickly.~ */ GOTO 19
END

IF ~~ THEN BEGIN 27 // from: 36.4 35.4 34.4 33.3 30.3 20.5 14.1
  SAY #17989 /* ~As you wish!  If that is all you care for, you'll not find Valygar a sitting target!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 28 // from: 20.6 18.1
  SAY #17990 /* ~If you are but a servant of the Cowled Wizards, then I have no choice but to defend myself!  I am a ranger, and I will die with honor!  Have at you!~ */
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
!IsValidForPartyDialog("Mazzy")
!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Aerie")~ THEN DO ~Enemy()~ UNSOLVED_JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ EXIT
  IF ~IsValidForPartyDialog("Keldorn")
ReactionGT(Player1,13)~ THEN DO ~Enemy()~ JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ FLAGS 128 EXTERN ~KELDORJ~ 111
  IF ~IsValidForPartyDialog("Keldorn")
ReactionLT(Player1,14)~ THEN DO ~Enemy()~ UNSOLVED_JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ EXTERN ~KELDORJ~ 112
  IF ~!IsValidForPartyDialog("Keldorn")
IsValidForPartyDialog("Anomen")~ THEN DO ~Enemy()~ UNSOLVED_JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ EXTERN ~ANOMENJ~ 185
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
IsValidForPartyDialog("Mazzy")
ReactionGT(Player1,13)~ THEN DO ~Enemy()~ UNSOLVED_JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ EXTERN ~MAZZYJ~ 129
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
IsValidForPartyDialog("Mazzy")
ReactionLT(Player1,14)~ THEN DO ~Enemy()~ UNSOLVED_JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ EXTERN ~MAZZYJ~ 130
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
!IsValidForPartyDialog("Mazzy")
IsValidForPartyDialog("Minsc")
ReactionGT(Player1,13)~ THEN DO ~Enemy()~ UNSOLVED_JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ EXTERN ~MINSCJ~ 102
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
!IsValidForPartyDialog("Mazzy")
IsValidForPartyDialog("Minsc")
ReactionLT(Player1,14)~ THEN DO ~Enemy()~ UNSOLVED_JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ EXTERN ~MINSCJ~ 103
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
!IsValidForPartyDialog("Mazzy")
!IsValidForPartyDialog("Minsc")
IsValidForPartyDialog("Aerie")
ReactionGT(Player1,10)~ THEN DO ~Enemy()~ UNSOLVED_JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ EXTERN ~AERIEJ~ 61
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
!IsValidForPartyDialog("Mazzy")
!IsValidForPartyDialog("Minsc")
IsValidForPartyDialog("Aerie")
ReactionLT(Player1,11)~ THEN DO ~Enemy()~ UNSOLVED_JOURNAL #16343 /* ~The hunt for Valygar Corthala.

I have discovered Valygar Corthala, a ranger hiding in his cabin in the Umar Hills from the Cowled Wizards.  No doubt I shall be rewarded should I bring his body to them in Athkatla.~ */ EXTERN ~AERIEJ~ 60
END

IF ~~ THEN BEGIN 29 // from:
  SAY #17992 /* ~I am the last of the Corthala line.  That may mean little to you, but it means plenty to Lavok.  When Lavok left Athkatla in the sphere, he was already many centuries old.~ */
  IF ~~ THEN DO ~SetGlobal("vgMentionLavokDrain","GLOBAL",1)~ GOTO 30
END

IF ~~ THEN BEGIN 30 // from: 29.0
  SAY #17993 /* ~Lavok extended his life by stealing the bodies of blood relations.  If he yet lives, you can imagine my concern.  My blood, then, may also be the key to entering the sphere.~ */
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #17995 /* ~Why should I trust a murderer?  You did kill two of the Cowled Wizards, did you not?~ */ GOTO 34
  IF ~~ THEN REPLY #17996 /* ~What you suggest sounds interesting.  But will the Cowled Wizards not oppose us?~ */ GOTO 35
  IF ~~ THEN REPLY #17998 /* ~And what is to stop me from using your body to enter the sphere myself?~ */ GOTO 36
  IF ~~ THEN REPLY #18045 /* ~I refuse.  I think I prefer the goodwill of the Cowled Wizards and their reward.~ */ GOTO 27
  IF ~~ THEN REPLY #18046 /* ~I refuse.  But I shall leave you to proceed as you will.  Good luck to you.~ */ GOTO 37
  IF ~~ THEN REPLY #18047 /* ~Very well, join with me and we shall see what is inside this planar sphere of yours.~ */ GOTO 39
END

IF ~~ THEN BEGIN 31 // from: 36.1 34.0 20.1
  SAY #18048 /* ~I cannot prove the truth of my words, my <LADYLORD>, but compare my motivations to those of the wizards.  And there is more.~ */
  IF ~~ THEN GOTO 32
END

IF ~~ THEN BEGIN 32 // from: 41.0 35.1 31.0
  SAY #18049 /* ~I am the last of the Corthala line.  That may mean little to you, but it means plenty to Lavok.  When Lavok left Athkatla in the sphere, he was already many centuries old.~ */
  IF ~~ THEN DO ~SetGlobal("vgMentionLavokDrain","GLOBAL",1)~ GOTO 33
END

IF ~~ THEN BEGIN 33 // from: 32.0
  SAY #18050 /* ~Lavok extended his life by stealing the bodies of blood relations.  If he yet lives, you can imagine my concern.  This is also why my blood may allow entrance to the sphere.~ */
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #18051 /* ~Why should I trust a murderer?  You did kill two of the Cowled Wizards, did you not?~ */ GOTO 34
  IF ~~ THEN REPLY #18052 /* ~What you suggest sounds interesting.  But will the Cowled Wizards not oppose us?~ */ GOTO 35
  IF ~~ THEN REPLY #18053 /* ~And what is to stop me from using your body to enter the sphere myself?~ */ GOTO 36
  IF ~~ THEN REPLY #18054 /* ~I refuse.  I think I prefer the goodwill of the Cowled Wizards and their reward.~ */ GOTO 27
  IF ~~ THEN REPLY #18055 /* ~I refuse.  But I shall leave you to proceed as you will.  Good luck to you.~ */ GOTO 37
  IF ~~ THEN REPLY #18056 /* ~Very well, join and we shall see what is inside this planar sphere ourselves.~ */ GOTO 39
END

IF ~~ THEN BEGIN 34 // from: 36.2 35.2 33.0 30.0 20.2
  SAY #18057 /* ~Aye, I did, but 'tis not murder.  They attacked me first.  I refused to co-operate with their 'request', and fled as soon as I was able to withdraw.~ */
  IF ~~ THEN REPLY #18058 /* ~How is it that you can enter this sphere?  This whole story sounds like fantasy.~ */ GOTO 31
  IF ~~ THEN REPLY #18059 /* ~It seems unlikely that Lavok would be in the sphere.  How could he be alive?~ */ GOTO 41
  IF ~~ THEN REPLY #18061 /* ~What you suggest sounds interesting.  But will the Cowled Wizards not oppose us?~ */ GOTO 35
  IF ~~ THEN REPLY #18062 /* ~And what is to stop me from using your body to enter the sphere myself?~ */ GOTO 36
  IF ~~ THEN REPLY #18063 /* ~I refuse.  I think I prefer the goodwill of the Cowled Wizards and their reward.~ */ GOTO 27
  IF ~~ THEN REPLY #18064 /* ~I refuse.  But I shall leave you to proceed as you will.  Good luck to you.~ */ GOTO 37
  IF ~~ THEN REPLY #18065 /* ~Very well, join and we shall see what is inside this planar sphere ourselves.~ */ GOTO 39
END

IF ~~ THEN BEGIN 35 // from: 36.3 34.2 33.1 30.1 20.3
  SAY #18066 /* ~The wizards will not rest until they get inside that sphere.  And one cannot hope to standup to the Cowled Wizards for long, at least not without steady hands at one's back.~ */
  IF ~~ THEN REPLY #18068 /* ~It seems unlikely that Lavok would be in the sphere. How could he be alive?~ */ GOTO 41
  IF ~~ THEN REPLY #18069 /* ~How is it that you can enter this sphere?  This whole story sounds like fantasy.~ */ GOTO 32
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #18070 /* ~Why should I trust a murderer?  You did kill two of the Cowled Wizards, did you not?~ */ GOTO 34
  IF ~~ THEN REPLY #18071 /* ~And what is to stop me from using your body to enter the sphere myself?~ */ GOTO 36
  IF ~~ THEN REPLY #18072 /* ~I refuse.  I think I prefer the goodwill of the Cowled Wizards and their reward.~ */ GOTO 27
  IF ~~ THEN REPLY #18073 /* ~I refuse.  But I shall leave you to proceed as you will.  Good luck to you.~ */ GOTO 37
  IF ~~ THEN REPLY #18074 /* ~Very well.  Join and we shall see what is inside this planar sphere ourselves.~ */ GOTO 39
END

IF ~~ THEN BEGIN 36 // from: 35.3 34.3 33.2 30.2 20.4
  SAY #18075 /* ~I have an idea of how my blood allows entrance to the sphere.  I do not know how the wizards could use my dead body, but it's a secret they'll not likely tell.  Nor shall I tell mine.~ */
  IF ~~ THEN REPLY #18077 /* ~It seems unlikely that Lavok would be in the sphere.  How could he be alive?~ */ GOTO 41
  IF ~~ THEN REPLY #18089 /* ~How is it that you can enter this sphere?  This whole story sounds like fantasy.~ */ GOTO 31
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #18090 /* ~Why should I trust a murderer?  You did kill two of the Cowled Wizards, did you not?~ */ GOTO 34
  IF ~~ THEN REPLY #18091 /* ~What you suggest sounds interesting.  But will the Cowled Wizards not oppose us?~ */ GOTO 35
  IF ~~ THEN REPLY #18093 /* ~I refuse.  I think I prefer the goodwill of the Cowled Wizards and their reward.~ */ GOTO 27
  IF ~~ THEN REPLY #18100 /* ~I refuse.  But I shall leave you to proceed as you will.  Good luck to you.~ */ GOTO 37
  IF ~~ THEN REPLY #18102 /* ~Very well, join and we shall see what is inside this planar sphere ourselves.~ */ GOTO 39
END

IF ~~ THEN BEGIN 37 // from: 36.5 35.5 34.5 33.4 30.4 26.1 26.0 20.8 20.7
  SAY #18103 /* ~That is most unfortunate.  My family had sworn an oath long ago to kill Lavok should he ever reappear, and I cannot abandon it now.  But neither can I proceed without aid.~ */
  IF ~~ THEN GOTO 38
END

IF ~~ THEN BEGIN 38 // from: 37.0
  SAY #18104 /* ~This hiding place will work for me no further.  I must leave.  If you change your mind, you may find me through my servant at my home in Athkatla.  Fare you well until then.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
SetDialogue("VALYGARP")
EscapeAreaMove("AR0326",451,233,0)
SetGlobal("ValygarHome","GLOBAL",1)~ UNSOLVED_JOURNAL #16569 /* ~The hunt for Valygar Corthala.

I have met Valygar Corthala in his cabin in the Umar Hills, hiding away from the Cowled Wizards who are hunting him.  According to Valygar, he is related to Lavok, an ancient necromancer who built the sphere five hundred years before... a sphere that disappeared shortly after it was completed and has just re-appeared.  The Cowled Wizards seem sure that Valygar is the key to accessing the place, the reason for their harassment of him.

I have let Valygar go his own way, but he cannot stay any longer at the cabin now that it has been compromised.  He told me that if I should have need of him in the future, I can find him through his servant at his home in the Docks District in Athkatla.~ */ EXIT
END

IF ~~ THEN BEGIN 39 // from: 36.6 35.6 34.6 33.5 30.5 20.9
  SAY #18105 /* ~Most excellent!  My family swore an oath long ago to kill Lavok should he ever reappear, and perhaps I shall be able to fulfill it.  My heartfelt thanks at your offer of aid.~ */
  IF ~GlobalLT("Chapter","GLOBAL",6)~ THEN REPLY #42348 /* ~I should probably tell you before you agree that I intend to rescue an old friend of mine, Imoen, who has been taken hostage by the Cowled Wizards.  It could be dangerous.~ */ GOTO 42
  IF ~GlobalLT("Chapter","GLOBAL",6)~ THEN REPLY #58647 /* ~I'll tell you first that my goal is to track down a powerful wizard named Irenicus... nothing will keep me from that fiend!~ */ GOTO 45
  IF ~~ THEN REPLY #42349 /* ~Alright, let's go.~ */ GOTO 44
END

IF ~~ THEN BEGIN 40 // from: 13.1 9.2 5.2
  SAY #18139 /* ~It has been a long time, but for all I know time may work differently when traveling the planes.  As for his immortality... well, my ancestor has extended his life, before... but that is a different story.~ */
  IF ~~ THEN GOTO 21
END

IF ~~ THEN BEGIN 41 // from: 36.0 35.0 34.1 20.0
  SAY #18142 /* ~It has been a long time, but for all I know time may work differently when traveling the planes.  As for his immortality... well, my ancestor has extended his life, before... but that is a different story.~ */
  IF ~~ THEN GOTO 32
END

IF ~~ THEN BEGIN 42 // from: 39.0
  SAY #42350 /* ~There is strength in numbers with you.  And if you wish to have my help in exacting a toll against the Cowled Wizards that stand in your way, you'll hear no complaint from me.~ */
  IF ~~ THEN DO ~

~ GOTO 44
END

IF ~~ THEN BEGIN 43 // from: 1.0
  SAY #48608 /* ~I have done nothing but defend myself from greedy wizards who only wish to plunder the magical wealth of my dread ancestor.  Anything they have told you is mere contrivance.~ */
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Mazzy")
!IsValidForPartyDialog("Minsc")~ THEN GOTO 2
  IF ~IsValidForPartyDialog("Keldorn")~ THEN EXTERN ~KELDORJ~ 110
  IF ~!IsValidForPartyDialog("Keldorn")
IsValidForPartyDialog("Mazzy")~ THEN EXTERN ~MAZZYJ~ 128
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Mazzy")
IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSCJ~ 101
END

IF ~~ THEN BEGIN 44 // from: 45.0 42.0 39.2
  SAY #48628 /* ~Let us be moving, then.  More than likely the Cowled Wizards will hear of my movements... and the fact that you accompany me... soon enough.  We shall have to be ready.~ */
  IF ~!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Cernd")
OR(2)
Global("HiredByCowled","GLOBAL",0)
!IsValidForPartyDialog("Korgan")~ THEN DO ~AddExperienceParty(9500)
JoinParty()~ UNSOLVED_JOURNAL #16524 /* ~The hunt for Valygar Corthala.

I have encountered Valygar Corthala in his cabin in the Umar Hills, hiding from the Cowled Wizards who believe that he will enable them to have access to the planar sphere in the Slums District of Athkatla through his blood relation to Lavok, the necromancer who created it 500 years ago.

Valygar believes that Lavok, himself, is within the sphere... and that he intends to prolong his life through taking the body of a relative as he always has.  Valygar's family has sworn to kill Lavok should he ever reappear, and now this is his chance.

I have agreed to take Valygar with me to Athkatla and enter the sphere and discover what is within... and kill Lavok should we encounter him.~ */ EXIT
  IF ~IsValidForPartyDialog("Edwin")~ THEN DO ~AddExperienceParty(9500)
JoinParty()~ UNSOLVED_JOURNAL #16524 /* ~The hunt for Valygar Corthala.

I have encountered Valygar Corthala in his cabin in the Umar Hills, hiding from the Cowled Wizards who believe that he will enable them to have access to the planar sphere in the Slums District of Athkatla through his blood relation to Lavok, the necromancer who created it 500 years ago.

Valygar believes that Lavok, himself, is within the sphere... and that he intends to prolong his life through taking the body of a relative as he always has.  Valygar's family has sworn to kill Lavok should he ever reappear, and now this is his chance.

I have agreed to take Valygar with me to Athkatla and enter the sphere and discover what is within... and kill Lavok should we encounter him.~ */ EXTERN ~EDWINJ~ 51
  IF ~!IsValidForPartyDialog("Edwin")
IsValidForPartyDialog("Jaheira")~ THEN DO ~AddExperienceParty(9500)
JoinParty()~ UNSOLVED_JOURNAL #16524 /* ~The hunt for Valygar Corthala.

I have encountered Valygar Corthala in his cabin in the Umar Hills, hiding from the Cowled Wizards who believe that he will enable them to have access to the planar sphere in the Slums District of Athkatla through his blood relation to Lavok, the necromancer who created it 500 years ago.

Valygar believes that Lavok, himself, is within the sphere... and that he intends to prolong his life through taking the body of a relative as he always has.  Valygar's family has sworn to kill Lavok should he ever reappear, and now this is his chance.

I have agreed to take Valygar with me to Athkatla and enter the sphere and discover what is within... and kill Lavok should we encounter him.~ */ EXTERN ~JAHEIRAJ~ 362
  IF ~!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jaheira")
IsValidForPartyDialog("Minsc")~ THEN DO ~AddExperienceParty(9500)
JoinParty()~ UNSOLVED_JOURNAL #16524 /* ~The hunt for Valygar Corthala.

I have encountered Valygar Corthala in his cabin in the Umar Hills, hiding from the Cowled Wizards who believe that he will enable them to have access to the planar sphere in the Slums District of Athkatla through his blood relation to Lavok, the necromancer who created it 500 years ago.

Valygar believes that Lavok, himself, is within the sphere... and that he intends to prolong his life through taking the body of a relative as he always has.  Valygar's family has sworn to kill Lavok should he ever reappear, and now this is his chance.

I have agreed to take Valygar with me to Athkatla and enter the sphere and discover what is within... and kill Lavok should we encounter him.~ */ EXTERN ~MINSCJ~ 104
  IF ~!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Minsc")
IsValidForPartyDialog("Cernd")~ THEN DO ~AddExperienceParty(9500)
JoinParty()~ UNSOLVED_JOURNAL #16524 /* ~The hunt for Valygar Corthala.

I have encountered Valygar Corthala in his cabin in the Umar Hills, hiding from the Cowled Wizards who believe that he will enable them to have access to the planar sphere in the Slums District of Athkatla through his blood relation to Lavok, the necromancer who created it 500 years ago.

Valygar believes that Lavok, himself, is within the sphere... and that he intends to prolong his life through taking the body of a relative as he always has.  Valygar's family has sworn to kill Lavok should he ever reappear, and now this is his chance.

I have agreed to take Valygar with me to Athkatla and enter the sphere and discover what is within... and kill Lavok should we encounter him.~ */ EXTERN ~CERNDJ~ 93
  IF ~!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Cernd")
Global("HiredByCowled","GLOBAL",1)
IsValidForPartyDialog("Korgan")~ THEN DO ~AddExperienceParty(9500)
JoinParty()~ UNSOLVED_JOURNAL #16524 /* ~The hunt for Valygar Corthala.

I have encountered Valygar Corthala in his cabin in the Umar Hills, hiding from the Cowled Wizards who believe that he will enable them to have access to the planar sphere in the Slums District of Athkatla through his blood relation to Lavok, the necromancer who created it 500 years ago.

Valygar believes that Lavok, himself, is within the sphere... and that he intends to prolong his life through taking the body of a relative as he always has.  Valygar's family has sworn to kill Lavok should he ever reappear, and now this is his chance.

I have agreed to take Valygar with me to Athkatla and enter the sphere and discover what is within... and kill Lavok should we encounter him.~ */ EXTERN ~KORGANJ~ 221
END

IF ~~ THEN BEGIN 45 // from: 39.1
  SAY #58648 /* ~I would be safer from the Cowled Wizards amongst you, that much is certain.  I have never heard of this Irenicus, but I have no qualms of aiding you in finding him.~ */
  IF ~~ THEN GOTO 44
END

IF ~~ THEN BEGIN 46 // from: 3.0
  SAY #60723 /* ~Lavok disappeared with the sphere over five centuries ago. It has not been seen again until now.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 47 // from: 7.0
  SAY #60729 /* ~My ancestor, the necromancer Lavok, built that sphere and disappeared with it over five centuries ago.  It has not been seen since, until its reappearance.~ */
  IF ~~ THEN DO ~SetGlobal("vgMentionLavok","GLOBAL",1)~ GOTO 8
END

IF ~~ THEN BEGIN 48 // from: 11.0
  SAY #60742 /* ~My ancestor, the necromancer Lavok, built that sphere and disappeared with it over five centuries ago.  It has not been seen since, until its reappearance.~ */
  IF ~~ THEN DO ~SetGlobal("vgMentionLavok","GLOBAL",1)~ GOTO 12
END
